FoxRouter·Reference
中文 Console

hy3

混元 hy3

Model ID
hy3
Vendor
混元
Category
Language Models

Use hy3 with the compatible FoxRouter API below. Prices and groups are synced from foxrouter.org/pricing when the documentation is built; account groups and availability are shown in the console.

#Pricing

List price

Input
¥1 / 1M tokens
Output
¥4 / 1M tokens
Cache read
¥0.25 / 1M tokens

Price by groupUnit: ¥ / 1M tokens, list price × group multiplier

GroupInputOutputCache read
default分组×1默认分组¥1¥4¥0.25
国模svip分组(0.06x)×0.1国内模型就选这个分组(deepseek、glm等),比较稳定¥0.1¥0.4¥0.025
国模特惠分组×0.04国内模型特惠,稳定性相对于svip分组会差一些¥0.04¥0.16¥0.01

Prices and groups synced at 2026-10-30.

#Chat Completions

POSThttps://foxrouter.org/v1/chat/completions

Creates model responses based on chat history. Supports streaming and non-streaming responses.

Compatible with OpenAI Chat Completions API.

#Authorization

NameTypeRequiredDescription
AuthorizationBearer <token>Yes使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx In: header

#Example request

bash
curl -X POST "https://foxrouter.org/v1/chat/completions" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "hy3",
    "messages": [
      {
        "role": "system",
        "content": "string"
      }
    ]
  }'

#Request Body

application/json

NameTypeRequiredDescription
modelstringYes模型 ID
messagesarray<object>Yes对话消息列表
temperaturenumberNo采样温度 · Default: 1 · Range: 0 <= value <= 2
top_pnumberNo核采样参数 · Default: 1 · Range: 0 <= value <= 1
nintegerNo生成数量 · Default: 1 · Range: 1 <= value
streambooleanNo是否流式响应 · Default: false
stream_optionsobjectNo
stopstring|array<string>No停止序列
max_tokensintegerNo最大生成 Token 数
max_completion_tokensintegerNo最大补全 Token 数
presence_penaltynumberNoDefault: 0 · Range: -2 <= value <= 2
frequency_penaltynumberNoDefault: 0 · Range: -2 <= value <= 2
logit_biasobjectNo
userstringNo
toolsarray<object>No
tool_choicestring|objectNo
response_formatobjectNo
seedintegerNo
reasoning_effortstringNo推理强度 (用于支持推理的模型) · Allowed: "low" | "medium" | "high"
modalitiesarray<string>No
audioobjectNo

#Response Body

#200 OK · application/json

json
{
  "id": "string",
  "object": "chat.completion",
  "created": 0,
  "model": "hy3",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "system",
        "content": "string",
        "name": "string",
        "tool_calls": [
          {
            "id": "string",
            "type": "function",
            "function": {
              "name": "string",
              "arguments": "string"
            }
          }
        ],
        "tool_call_id": "string",
        "reasoning_content": "string"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0,
    "prompt_tokens_details": {
      "cached_tokens": 0,
      "text_tokens": 0,
      "audio_tokens": 0,
      "image_tokens": 0
    },
    "completion_tokens_details": {
      "text_tokens": 0,
      "audio_tokens": 0,
      "reasoning_tokens": 0
    }
  },
  "system_fingerprint": "string"
}

#400 Bad Request · application/json

json
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

#429 Too Many Requests · application/json

json
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

#Try it online

Your browser calls FoxRouter directly. Your key is used only for this request and is never saved.